# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sniffnet"
version = "1.0.1"
authors = ["Giuliano Bellini"]
description = "Application to comfortably monitor your network traffic"
readme = "README.md"
keywords = [
    "filter",
    "network",
    "packet",
    "sniffer",
    "parser",
]
categories = [
    "command-line-utilities",
    "concurrency",
    "network-programming",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/GyulyVGC/sniffnet"

[package.metadata.bundle]
name = "Sniffnet"
identifier = "gyulyvgc.sniffnet"
icon = ["./resources/icon.ico"]

[profile.release]
opt-level = 3
lto = true

[dependencies.chrono]
version = "0.4.22"

[dependencies.etherparse]
version = "0.12.0"

[dependencies.iced]
version = "0.4.2"
features = ["tokio"]

[dependencies.iced_style]
version = "0.4.0"

[dependencies.indexmap]
version = "1.9.1"

[dependencies.pcap]
version = "0.11.0"

[dependencies.plotters]
version = "0.3.4"

[dependencies.plotters-iced]
version = "0.3.3"

[dependencies.thousands]
version = "0.2.0"
